org.jbpm.workflow.instance

## Interface WorkflowProcessInstance

- All Superinterfaces:
    ContextableInstance, ContextInstanceContainer, org.kie.api.runtime.process.EventListener, org.kie.api.runtime.process.NodeInstanceContainer, org.kie.api.runtime.process.ProcessInstance, org.kie.api.runtime.process.WorkflowProcessInstance

      public interface WorkflowProcessInstance
      extends ProcessInstance, org.kie.api.runtime.process.WorkflowProcessInstance

- - ### Field Summary

    - ### Fields inherited from interface org.kie.api.runtime.process.ProcessInstance

      `SLA_ABORTED, SLA_MET, SLA_NA, SLA_PENDING, SLA_VIOLATED, STATE_ABORTED, STATE_ACTIVE, STATE_COMPLETED, STATE_PENDING, STATE_SUSPENDED`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEventListener(String type, org.kie.api.runtime.process.EventListener eventListener, boolean external)`
    `void` | `removeEventListener(String type, org.kie.api.runtime.process.EventListener eventListener, boolean external)`

    - ### Methods inherited from interface org.jbpm.process.instance.ProcessInstance

      `configureSLA, getAgendaFilter, getDeploymentId, getFaultData, getKnowledgeRuntime, getMetaData, getOutcome, getProcess, getSlaCompliance, getSlaDueDate, getStartDate, isSignalCompletion, setAgendaFilter, setDeploymentId, setId, setKnowledgeRuntime, setParentProcessInstanceId, setProcess, setSignalCompletion, setState, setState, setState, start, start`

    - ### Methods inherited from interface org.jbpm.process.instance.ContextInstanceContainer

      `addContextInstance, getContextContainer, getContextInstance, getContextInstance, getContextInstances, removeContextInstance`

    - ### Methods inherited from interface org.jbpm.process.instance.ContextableInstance

      `getContextInstance`

    - ### Methods inherited from interface org.kie.api.runtime.process.WorkflowProcessInstance

      `getVariable, setVariable`

    - ### Methods inherited from interface org.kie.api.runtime.process.ProcessInstance

      `getId, getParentProcessInstanceId, getProcessId, getProcessName, getState`

    - ### Methods inherited from interface org.kie.api.runtime.process.EventListener

      `getEventTypes, signalEvent`

    - ### Methods inherited from interface org.kie.api.runtime.process.NodeInstanceContainer

      `getNodeInstance, getNodeInstances`

- - ### Method Detail

    - #### addEventListener

          void addEventListener(String type,
                                org.kie.api.runtime.process.EventListener eventListener,
                                boolean external)

    - #### removeEventListener

          void removeEventListener(String type,
                                   org.kie.api.runtime.process.EventListener eventListener,
                                   boolean external)

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.